body {
    background-color: lightblue;
    margin: auto 0 auto auto;
    padding: 0;
}

nav {
    position: relative;
    text-align: left;
    margin-left: 15%;
}

figcaption {
    position: relative;
    text-align: center;
}

main, footer {
    margin-left: 15%;
    margin-right: 15%;
}

#banner {
    position: sticky;
    top: 0px;
    left: 0%;
    right: 0%;
    width: 100%;
    height: 200px;
    z-index: -1;
}

#houseBanner, #locMap {
    position: relative;
    float: right;
    margin-right: 15%;
    width: 15%;
    border: solid;
}

#locMap {
    width: 20%;
}

#houseBanner img, #locMap img {
    position: relative;
    width: 100%;
}

#worldMap {
    position: relative;
    float: right;
    margin-right: 25px; 
    width: 40%;
}

#worldMap img {
    width: 100%;
}

#nameCol {
    width: 10%;
}

#titleCol {
    width: 35%;
}

#nickCol {
    width: 20%;
}

#marriedCol {
    width: auto;
}

#portraitCol {
    width: 20%;
}

#valid {
    float: right;
}

.contents {
    position: relative;
    text-align: left;
    width: 15em;
    padding-left: 10px;
    border: solid;
    margin-left: 0%;
}

.contents a {
    text-decoration: none;
}

.contents a:hover {
    color: darkblue;
}

.portrait img {
    width: 100%;
}

.family table, th, td {
    border: 1px solid black;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-button {
    background-color: brown;
    color: white;
    padding: 16px;
    font-size: 16px;
    border: none;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: lightcoral;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: rgb(238, 138, 138);
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover .dropdown-button {
    background-color: firebrick;
}

.menu-item {
    position: relative;
    display: inline-block;
    background-color: brown;
    color: white;
    font-size: 16px;
    border: none;
}

.menu-item a {
    padding: 16px 20px;
    color: white;
    text-decoration: none;
    display: block;
}

.menu-item a:hover {
    background-color: firebrick;
}